return Def.ActorFrame{
	LoadFont("", "_helvetica") ..{
		Text="";
		InitCommand=cmd(shadowlength,0;zoom,0.5;horizalign,left;playcommand,"Set");
		SetCommand=function(self)
            local diff = '0';
            local val = math.floor( PREFSMAN:GetPreference('TimingWindowScale') * 100 ) / 100;
            if (val == 1.50) then
                diff = '1';
            elseif (val == 1.33) then
                diff = '2';
            elseif (val == 1.15) then
                diff = '3';
            elseif (val == 1.00) then
                diff = '4';
            elseif (val == 0.83) then
                diff = '5';
            elseif (val == 0.66) then
                diff = '6';
            elseif (val == 0.50) then
                diff = '7';
            elseif (val == 0.33) then
                diff = '8';
            elseif (val == 0.20) then
                diff = 'Justice';
			else
				diff = 'Unknown [' .. val .. ']';
            end
			local text = 'SM Timing Level : ' .. diff .. "\nKey: Marvelous / Perfect / Great / Good / Boo";
			self:settext( text );
		end
	};
	LoadFont("", "_helvetica") ..{
		Text="";
		InitCommand=cmd(shadowlength,0;zoom,0.5;horizalign,left;y,28;playcommand,"Set");
		SetCommand=function(self)
            local marv = math.floor( PREFSMAN:GetPreference('TimingWindowSecondsW1') * 10000 ) / 10000;
			local perf = math.floor( PREFSMAN:GetPreference('TimingWindowSecondsW2') * 10000 ) / 10000;
			local great = math.floor( PREFSMAN:GetPreference('TimingWindowSecondsW3') * 10000 ) / 10000;
			local good = math.floor( PREFSMAN:GetPreference('TimingWindowSecondsW4') * 10000 ) / 10000;
			local boo = math.floor( PREFSMAN:GetPreference('TimingWindowSecondsW5') * 10000 ) / 10000;
			local text = 'Timings : ' .. marv .. '/' .. perf .. '/' .. great .. '/' .. good .. '/' .. boo;
			self:settext( text );
		end
	};
};